[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TResourceStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Stream that reads its data from a resource object.

## Declaration

Source position: classesh.inc line 1016

`type TResourceStream = class(TCustomMemoryStream)`
`public`
`constructor Create();` |  | Creates a new instance of a resource stream.
`constructor CreateFromID();` |  | Creates a new instance of a resource stream with a resource
`destructor Destroy; override;` |  | Destroys the instance of the resource stream.
`end;`

## Inheritance

`TResourceStream` |  | Stream that reads its data from a resource object.
`TCustomMemoryStream` |  | Abstract stream that stores its data in memory.
`TStream` |  | Base class for streams.
`TObject` |  | Base class of all classes.

Documentation generated on: Feb 26 2014